[llvm-commits] CVS: llvm/autoconf/AutoRegen.sh

Brian Gaeke gaeke at gally.cs.uiuc.edu
Sun Feb 8 01:46:44 PST 2004


Changes in directory llvm/autoconf:

AutoRegen.sh added (r1.1)

---
Log message:

Move rules for regenerating autoconf files into this shell script.


---
Diffs of the changes:  (+20 -0)

Index: llvm/autoconf/AutoRegen.sh
diff -c /dev/null llvm/autoconf/AutoRegen.sh:1.1
*** /dev/null	Sun Feb  8 01:44:58 2004
--- llvm/autoconf/AutoRegen.sh	Sun Feb  8 01:44:48 2004
***************
*** 0 ****
--- 1,20 ----
+ #!/bin/sh
+ die () {
+ 	echo "$@" 1>&2
+ 	exit 1
+ }
+ test -d autoconf && test -f autoconf/configure.ac && cd autoconf
+ [ -f configure.ac ] || die "Can't find 'autoconf' dir; please cd into it first"
+ echo "Regenerating aclocal.m4 with aclocal"
+ aclocal || die "aclocal failed"
+ if ! autoconf --version | egrep '2\.5[0-9]' > /dev/null
+ then
+ 	die "Your autoconf was not detected as being 2.5x"
+ fi
+ echo "Note: Warnings about 'AC_CONFIG_SUBDIRS: you should use literals' are ok"
+ echo "Regenerating configure with autoconf 2.5x"
+ autoconf -o ../configure configure.ac || die "autoconf failed"
+ cd ..
+ echo "Regenerating config.h.in with autoheader 2.5x"
+ autoheader -I autoconf autoconf/configure.ac || die "autoheader failed"
+ exit 0





More information about the llvm-commits mailing list